org.apache.ode.bpel.engine

## Class OutstandingRequestManager

- java.lang.Object
- - org.apache.ode.bpel.engine.OutstandingRequestManager

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.

      @Deprecated
      public class OutstandingRequestManager
      extends java.lang.Object
      implements java.io.Serializable

  Manages receive/pick--reply matching. Keeps track of active pick/receive activities (i.e. those that have been reached in the script) and their association with a message exchange (for those receive/picks that have received a message). The purpose of this class is to 1) enable matching a reply activity to the corresponding receive/pick activity and 2) allow us to fault out message exchanges that have not been replied to when they go out of scope.

  Note, this class is only used for INBOUND synchronous (request-response) operations. None of this is necessary for asynchronous messages.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `OutstandingRequestManager.Entry` Deprecated.
    `class` | `OutstandingRequestManager.RequestIdTuple` Deprecated. Tuple identifying an outstanding request (i.e.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,OutstandingRequestManager.Entry>` | `_byChannel` Deprecated.
    `java.util.Map<OutstandingRequestManager.RequestIdTuple,OutstandingRequestManager.Entry>` | `_byRid` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutstandingRequestManager()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<OutstandingRequestManager.RequestIdTuple,OutstandingRequestManager.Entry>` | `getRids()` Deprecated.
    `java.lang.String` | `release(PartnerLinkInstance plinkInstnace, java.lang.String opName, java.lang.String mexId)` Deprecated. Release the registration.
    `java.lang.String[]` | `releaseAll()` Deprecated. "Release" all outstanding incoming messages exchanges.
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _byRid

          public final java.util.Map<OutstandingRequestManager.RequestIdTuple,OutstandingRequestManager.Entry> _byRid

      Deprecated.

    - #### _byChannel

          public final java.util.Map<java.lang.String,OutstandingRequestManager.Entry> _byChannel

      Deprecated.

  - ### Constructor Detail

    - #### OutstandingRequestManager

          public OutstandingRequestManager()

      Deprecated.

  - ### Method Detail

    - #### release

          public java.lang.String release(PartnerLinkInstance plinkInstnace,
                                          java.lang.String opName,
                                          java.lang.String mexId)

      Deprecated.
      Release the registration. This method is called when the reply activity sends a reply corresponding to the registration.
      Parameters:
        `plinkInstnace` - partner link
        `opName` - operation
        `mexId` - message exchange identifier IN THE BPEL SENSE OF THE TERM (i.e. a receive/reply disambiguator).
      Returns:
        message exchange identifier associated with the registration that matches the parameters

    - #### releaseAll

          public java.lang.String[] releaseAll()

      Deprecated.
      "Release" all outstanding incoming messages exchanges. Makes the object forget about the previous registrations
      Returns:
        a list of message exchange identifiers for message exchanges that were begun (receive/pick got a message) but not yet completed (reply not yet sent)

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getRids

          public java.util.Map<OutstandingRequestManager.RequestIdTuple,OutstandingRequestManager.Entry> getRids()

      Deprecated.